aboutsummaryrefslogtreecommitdiffstats
path: root/nologin-test
diff options
context:
space:
mode:
authorMattias Andrée <maandree@kth.se>2016-03-30 00:45:53 +0200
committerMattias Andrée <maandree@kth.se>2016-03-30 00:45:53 +0200
commitbded71446a86c14e0a60e107ede3f2381a893faa (patch)
tree18baef4105d5f76f436f2a5356fb0ff81e6aa254 /nologin-test
parentadd readme (diff)
downloadbase-util-tests-bded71446a86c14e0a60e107ede3f2381a893faa.tar.gz
base-util-tests-bded71446a86c14e0a60e107ede3f2381a893faa.tar.bz2
base-util-tests-bded71446a86c14e0a60e107ede3f2381a893faa.tar.xz
add nologin-test
Signed-off-by: Mattias Andrée <maandree@kth.se>
Diffstat (limited to 'nologin-test')
-rwxr-xr-xnologin-test/test57
1 files changed, 57 insertions, 0 deletions
diff --git a/nologin-test/test b/nologin-test/test
new file mode 100755
index 0000000..846c0a7
--- /dev/null
+++ b/nologin-test/test
@@ -0,0 +1,57 @@
+#!/bin/bash
+
+cd -- "$(dirname "$0")"
+if test -z "$NOLOGIN"; then
+ NOLOGIN=../nologin
+fi
+n="$PREFIX $NOLOGIN"
+
+report ()
+{
+ if test $1 = 0; then
+ printf "\033[1;32mTest %s OK\033[m\n" "$2"
+ else
+ printf "\033[1;31mTest %s FAILED\033[m\n" "$2"
+ fi
+}
+
+
+
+exitvalue ()
+{
+ ! $n > /dev/null
+ report $? "exitvalue"
+}
+
+message ()
+{
+ if test -f /etc/nologin.txt; then
+ diff <($n) /etc/nologin.txt > /dev/null
+ report $? "message (with /etc/nologin.txt)"
+ else
+ test "$($n)" != ""
+ report $? "message (without /etc/nologin.txt)"
+ fi
+}
+
+
+
+if test $# = 0; then
+ set exitvalue message
+fi
+(
+for f in $@; do
+ $f
+done
+) | tee result
+! grep FAILED < result > /dev/null
+ret=$?
+if test $ret != 0; then
+ if test $(grep FAILED < result | grep -v NON-STANDARD | wc -l) = 0; then
+ ret=1
+ else
+ ret=2
+ fi
+fi
+rm result
+exit $ret